Subject: Re: [PATCH net-next] devlink: Require devlink lock during device reload

From: Leon Romanovsky <[email-masked]>
Date: Sun, 7 Nov 2021 19:54:20 +0200

On Sun, Nov 07, 2021 at 07:16:05PM +0200, Ido Schimmel wrote:
> On Mon, Nov 01, 2021 at 04:11:22PM -0700, Jakub Kicinski wrote:
> > On Mon, 1 Nov 2021 22:52:19 +0200 Ido Schimmel wrote:
> > > > >Signed-off-by: Leon Romanovsky <[email-masked]>  
> > > > 
> > > > Looks fine to me.
> > > > 
> > > > Reviewed-by: Jiri Pirko <[email-masked]>  
> > > 
> > > Traces from mlxsw / netdevsim below:
> > 
> > Thanks a lot for the testing Ido!
> > 
> > Would you mind giving my RFC a spin as well on your syzbot machinery?

<...>

> > 
> >  (3) should we let drivers take refs on the devlink instance?
> 
> I think it's fine mainly because I don't expect it to be used by too
> many drivers other than netdevsim which is somewhat special. Looking at
> the call sites of devlink_get() in netdevsim, it is only called from
> places (debugfs and trap workqueue) that shouldn't be present in real
> drivers.

Sorry, I'm obligated to ask. In which universe is it ok to create new
set of API that no real driver should use?

Thanks